## pidgin 2.14.14

=== debian/changelog ===
pidgin (2.14.14-1) unstable; urgency=medium

  * New upstream version 2.14.1
    - Fix incompatible pointer types for GtkItemFactoryCallbacks on gcc-14
      (RR 3282) (Yoann Congal)
    - Fix type mismatch with IOKit usage (PIDGIN-17891) (RR 3507) (Elliott
      Sales de Andrade)
    - Use the result of g_string_free(..., FALSE) (RR 3509) (Elliott Sales de
      Andrade)
    - NSS: Load intermediate certificates from the server (PIDGIN-17886)
      (RR 3608) (John Schanck)
    - Finally add proper support for italics on IRC (PIDGIN-14560) (RR 3609)
      (Gary Kramlich)
    - Fix some type conversion errors (RR 3777) (Elliott Sales de Andrade,
      Gary Kramlich)
    - Use raw strings for Python regular expressions (RR 3774) (Elliott Sales
      de Andrade)
    - zephyr: Modernize K&R function prototypes (RR 3775) (Elliott Sales de
      Andrade)
    - Fix invalid prototypes that will break with C23 (PIDGIN-18028) (RR 3776)
      (Elliott Sales de Andrade)
  * Revert "Depend on python3-setuptools".  This change was intended for a
    different package entirely.

 -- Richard Laager <rlaager@debian.org>  Sun, 26 Jan 2025 17:53:17 -0600

pidgin (2.14.13-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix incompatible type conversion errors (Closes: 1085148)

  [ Richard Laager ]
  * Depend on python3-setuptools (Closes: 1080689)

 -- Richard Laager <rlaager@debian.org>  Fri, 18 Oct 2024 03:43:14 -0500
